
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../generated/l10n.dart';
import '../models/business.dart';
import '../widgets/desktop/desktop_store_product_search.dart';
import '../widgets/general/bottom_nav.dart';
import '../widgets/general/breadcrumbs.dart';
import '../widgets/general/navigationbar.dart';
import '../widgets/mobile/MobileBottomNav.dart';
import '../widgets/mobile/mobile_store_product_search.dart';

class StoreProductSearch extends StatelessWidget {
  final Business business;

  const StoreProductSearch(this.business, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          Scaffold(
            appBar: MiniNavigationBar(
              title: S.of(context).search_product,
              back: true,
              breadCrumbs: [
                BreadCrumb(S.of(context).search_product, null),
              ],
              breadCrumbHeight: sizingInformation.deviceScreenType == DeviceScreenType.mobile ? null : Constants.BREADCRUMB_HEIGHT,
            ),
            drawer: null,
            body: ScreenTypeLayout(
              mobile: MobileStoreProductSearch(business,),
              tablet: DesktopStoreProductSearch(business),
              desktop: DesktopStoreProductSearch(business),
            ),
            bottomNavigationBar: ScreenTypeLayout(
              mobile: MobileBottomNav(currentIndex: 1,),
              tablet: BottomNav(),
              desktop: BottomNav(),
            ),
          ),
    );
  }

}